#!/bin/sh

# Copyright (C) 2014 Paul Kocialkowski <contact@paulk.fr>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

rm *.zip
mogrify -format png ./*.svg
optipng ./*.png

ls *.png | while read file
do
	mkdir -p tmp/replicant

	prefix=$( echo "$file" | sed "s/\.png$//g" )
	width=$( echo "$prefix" | sed "s/.*-\([0-9]*\)x[0-9]*$/\1/g" )
	height=$( echo "$prefix" | sed "s/.*-[0-9]*x\([0-9]*\)$/\1/g" )

	mv $file tmp/replicant/
	echo > tmp/desc.txt <<EOF "$width $height 1
p 0 0 replicant"
EOF
	cd tmp
	zip -r -0 "../$prefix.zip" ./*
	cd ..

	rm -rf tmp/
done
